Get a language by key
GET
{{server}}/api/v1/dispenser/language/00000000-0000-4000-0004-000000000001This endpoint returns the language entity by key.
Request
Authorization
| Header | Value |
|---|---|
Authorization | Apikey {{dispenserApikey}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{dispenserWsID}} |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/dispenser/language/00000000-0000-4000-0004-000000000001' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}'
const response = await fetch("{{server}}/api/v1/dispenser/language/00000000-0000-4000-0004-000000000001", {
method: "GET",
headers: {
"Accept": "application/json",
"X-WSID": "{{dispenserWsID}}",
"Authorization": "Apikey {{dispenserApikey}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/dispenser/language/00000000-0000-4000-0004-000000000001"
headers = {
"Accept": "application/json",
"X-WSID": "{{dispenserWsID}}",
"Authorization": "Apikey {{dispenserApikey}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/dispenser/language/00000000-0000-4000-0004-000000000001Headers (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{dispenserWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 473 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
{
"type": 4,
"key": "00000000-0000-4000-0004-000000000001",
"code": "en-gb",
"name": "English",
"default": true,
"formats": {
"date": "LL",
"number": "international"
},
"texts": {},
"tts": {
"announcement": "Customer number #{ticketNumber}, please go to position number #{counterNumber}."
},
"keyboardLayouts": {
"customerName": [
" 1 2 3 4 5 6 7 8 9 0 {backspace}",
"Q W E R T Y U I O P",
" A S D F G H J K L ",
" Z X C V B N M ",
" {space} {accept}"
]
},
"status": 1,
"aspect": null,
"time": 1746604935494
}